%define upstream_name	 CPAN-Test-Dummy-Perl5-Make-CircDepeOne
%define upstream_version 1.00

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:	%{upstream_name} module for perl
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	ftp.perl.org/pub/CPAN/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:	noarch

%description
This module is part of CPAN.pm with the single purpose of testing 
CPAN.pm itself.
Contains no functionality, and will never do so.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/
%{_mandir}/*/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.0.0-14.mga9
+ Revision: 1802629
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.0-13.mga8
+ Revision: 1493599
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.0.0-12.mga7
+ Revision: 1266693
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.0.0-11.mga6
+ Revision: 1024495
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 1.0.0-10.mga6
+ Revision: 941215
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-9.mga5
+ Revision: 747196
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-8.mga5
+ Revision: 683690
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-7.mga4
+ Revision: 509454
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-6.mga3
+ Revision: 363659
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 1.0.0-5.mga1
+ Revision: 10306
- imported package perl-CPAN-Test-Dummy-Perl5-Make-CircDepeOne


* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 1.0.0-5mdv2010.1
+ Revision: 504829
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.00-4mdv2010.0
+ Revision: 430340
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.00-3mdv2009.0
+ Revision: 256183
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Nov 15 2007 Stéphane Téletchéa <steletch@mandriva.org> 1.00-1mdv2008.1
+ Revision: 108985
- import perl-CPAN-Test-Dummy-Perl5-Make-CircDepeOne


* Thu Nov 15 2007 1.00-1mdv2008.1 Stephane Teletchea <steletch@mandriva.org>
- Initial package
